List all custom content blocks provided by integrations in a space
Returns all custom block types contributed by integrations installed on the space. Integration blocks are custom content elements (e.g. embedded widgets, code runners) that integrations register for use in pages. Use this to discover what custom block types are available in a given space.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Responses
200
list of installed integration blocks
application/json
namestringRequired
Unique named identifier for the integration
404
Not Found
application/json
get/spaces/{spaceId}/integration-blocks
GET /v1/spaces/{spaceId}/integration-blocks HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"name": "text",
"blocks": [
{
"id": "text",
"title": "text",
"description": "text",
"icon": "text",
"urlUnfurl": [
"text"
],
"markdown": {
"codeblock": "text",
"body": "text"
}
}
]
}
]Last updated
Was this helpful?